Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.shpapi
Class SHPPolygon

    java.lang.Object
      org.deegree.io.shpapi.SHPGeometry
          org.deegree.io.shpapi.SHPPolygon

Direct Known Subclasses:
  SHPPolygon3D

    public class SHPPolygon

extends SHPGeometry

Class representig a two dimensional ESRI Polygon

Version:
  16.08.2000
Author:
  Andreas Poth

Field Summary
`int` | `numPoints`
`int` | `numRings`
`SHPPolyLine` | `rings`

Fields inherited from class org.deegree.io.shpapi.SHPGeometry
`envelope, recBuffer`

Constructor Summary
`SHPPolygon(byte[] recBuf)` constructor: recieves a stream
`SHPPolygon(Surface[] surface)` constructor: recieves an array of arrays of Points

Method Summary
`int` | `size()` returns the polygon shape size in bytes
`String` | `toString()`
`byte[]` | `writeSHPPolygon(byte[] bytearray, int start)` method: writeSHPPolygon(byte[] bytearray, int start)

Methods inherited from class org.deegree.io.shpapi.SHPGeometry
`getEnvelope`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### numRings

    public int numRings

### numPoints

    public int numPoints

### rings

    public SHPPolyLine rings

Constructor Detail

### SHPPolygon

    public SHPPolygon(byte[] recBuf)

  constructor: recieves a stream

  Parameters:
    `recBuf` -

### SHPPolygon

    public SHPPolygon(Surface[] surface)

  constructor: recieves an array of arrays of Points

  Parameters:
    `surface` -

Method Detail

### writeSHPPolygon

    public byte[] writeSHPPolygon(byte[] bytearray,
                                  int start)

  method: writeSHPPolygon(byte[] bytearray, int start)

  Parameters:
    `bytearray` -
    `start` -
  Returns:
    the byte array again

### size

    public int size()

  returns the polygon shape size in bytes

  Returns:
    the polygon shape size in bytes

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org